package info.textgrid.middleware;

import static org.junit.Assert.assertTrue;
import java.text.ParseException;
import org.junit.Test;

/**
 */
public class TestOAIPMHUtilities {

  /**
   * @throws ParseException
   */
  @Test
  public void testOmitPrefixFromIdentifier() {

    // Check Handle IDs (dhrep).
    String id1 = "hdl:21.11113/0000-000B-C8EF-7";
    String exp1 = "21.11113/0000-000B-C8EF-7";
    String res1 = OAIPMHUtilities.omitPrefixFromIdentifier(id1);
    if (!res1.equals(exp1)) {
      System.out.println(res1 + "!=" + exp1);
      assertTrue(false);
    }

    // Check tgrep set IDs (do not filter project: prefix!).
    String id2 = "project:TGPR-2c283391-6ed5-70b4-2e5e-5501c856bca9";
    String exp2 = "project:TGPR-2c283391-6ed5-70b4-2e5e-5501c856bca9";
    String res2 = OAIPMHUtilities.omitPrefixFromIdentifier(id2);
    if (!res2.equals(exp2)) {
      System.out.println(res2 + "!=" + exp2);
      assertTrue(false);
    }

    // Check tgrep identifier.
    String id3 = "textgrid:24gv8.0";
    String exp3 = "24gv8.0";
    String res3 = OAIPMHUtilities.omitPrefixFromIdentifier(id3);
    if (!res3.equals(exp3)) {
      System.out.println(res3 + "!=" + exp3);
      assertTrue(false);
    }

    // Check unknown prefix.
    String id4 = "urgli:furgli";
    String exp4 = "urgli:furgli";
    String res4 = OAIPMHUtilities.omitPrefixFromIdentifier(id4);
    if (!res4.equals(exp4)) {
      System.out.println(res4 + "!=" + exp4);
      assertTrue(false);
    }

    // Check no prefix.
    String id5 = "URGLARGLAUA";
    String exp5 = "URGLARGLAUA";
    String res5 = OAIPMHUtilities.omitPrefixFromIdentifier(id5);
    if (!res5.equals(exp5)) {
      System.out.println(res5 + "!=" + exp5);
      assertTrue(false);
    }
  }

}
